Skip to main content
The CoinPaprika API provides extensive and reliable data for over 50,000 crypto assets, tracking them across more than 350 exchanges. Below are some of the most popular endpoints to get you started.

Tickers

Get the latest price, volume, and market cap data for any coin.

Coins

Access detailed information about any coin, including social links and whitepapers.

Exchanges

Retrieve data on all supported exchanges, including their markets and trading volumes.

Base URL

All free plan API endpoints use the following base URL:
https://api.coinpaprika.com/v1
For the paid plans, the base URL is:
https://api-pro.coinpaprika.com/v1

Authentication

Most of our API endpoints are available without an API key. However, for higher rate limits and access to premium features, we recommend using an API key.
Authentication may be required for certain endpoints in the future as we expand our services.
To authenticate, include your API key as a Bearer token in the Authorization header of your request:
curl -H "Authorization: Bearer YOUR_API_KEY" "https://api-pro.coinpaprika.com/v1/users/me"
The URL for the paid plans is different from the free plan. Check out our pricing page for specific details.
You can get your API Key by visiting our official website here

Rate limits

Our API has the following rate limits based on your subscription plan:
  • Free: 20,000 requests per month
  • Starter: 400,000 requests per month
  • Pro: 1,000,000 requests per month
  • Business: 5,000,000 requests per month
  • Ultimate: 10,000,000 requests per month
  • Enterprise: Custom limits
For more details, please see our pricing page.

SDKs

We offer several SDKs to help you integrate with our API more easily:

Go

Official Go client for the CoinPaprika API.

PHP

Official PHP client for the CoinPaprika API.

Python

Official Python client for the CoinPaprika API.

TypeScript

Official TypeScript/JavaScript client for the CoinPaprika API.